[Lablgtk-list] lablgtk2 and ocaml 4

Bruno Guillaume Bruno.Guillaume at loria.fr
Mon Aug 6 11:46:48 CEST 2012


Hello,

I'm trying to compile lablgtk2 with ocaml 4.00.

My ocaml 4.00 is installed with macports and I have some problems:

1) with "make", I have the following error

      ld: file not found: /opt/local/lib/libffi.5.dylib for architecture x86_64

I have the file /opt/local/lib/libffi.6.dylib but I cannot understand who requires for version 5.
DIRTY HACK: sudo ln -s /opt/local/lib/libffi.6.dylib /opt/local/lib/libffi.5.dylib
then make and make install works fine

2) unfortunately, the MacPorts package includes the "make doc".
The "make doc" runs into:

    File "gtkdoc.ml", line 70, characters 12-26:
    Error: Unbound class Odoc_html.html

Looking at ocamldoc sources, I replaced line 70 "inherit Odoc_html.html as super" by "inherit Odoc_html.Generator.html as super"

Then, make doc:

     File "gtkdoc.ml", line 132, characters 2-27:
     Error: Unbound module Odoc_info.Args

There is no mode module named "Args" in Odoc_info version 4.00.

I give up at this point,

Any help is welcome
best regards,


Bruno GUILLAUME

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ocamlcore.org/pipermail/lablgtk-list/attachments/20120806/997dc2bf/attachment.htm>


More information about the Lablgtk-list mailing list